<?php

namespace App\ViewModels\Anamnese\AnamneseRetroativaRegistrationViewModel;

use App\Utils\Builder;

class AnamneseRetroativaRegistrationViewModelBuilder implements Builder {

	protected $idPet;
	protected $idTutor;
	protected $idUnidade;
	protected $idProcedimento;
	protected $idConvenioProcedimento;
	protected $idFormulario;
	protected $idUsuario;
	protected $idMedico;
	protected $idRequisicao;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $dataRetroativa;
	protected $horaRetroativa;
	
	
	public function build(): AnamneseRetroativaRegistrationViewModel {

		$obj = new AnamneseRetroativaRegistrationViewModel();

		return $obj;

	}
	/**
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idPet = $idPet;
		return $this;
	}


	/**
	 * @param mixed $idTutor
	 */
	public function setIdTutor($idTutor):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idTutor = $idTutor;
		return $this;
	}


	/**
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idUnidade = $idUnidade;
		return $this;
	}


	/**
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idProcedimento = $idProcedimento;
		return $this;
	}


	/**
	 * @param mixed $idConvenioProcedimento
	 */
	public function setIdConvenioProcedimento($idConvenioProcedimento):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idConvenioProcedimento = $idConvenioProcedimento;
		return $this;
	}


	/**
	 * @param mixed $idFormulario
	 */
	public function setIdFormulario($idFormulario):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idFormulario = $idFormulario;
		return $this;
	}


	/**
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idUsuario = $idUsuario;
		return $this;
	}


	/**
	 * @param mixed $idMedico
	 */
	public function setIdMedico($idMedico):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idMedico = $idMedico;
		return $this;
	}


	/**
	 * @param mixed $idRequisicao
	 */
	public function setIdRequisicao($idRequisicao):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->idRequisicao = $idRequisicao;
		return $this;
	}


	/**
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->dataCriacao = $dataCriacao;
		return $this;
	}


	/**
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->horaCriacao = $horaCriacao;
		return $this;
	}


	/**
	 * @param mixed $data_retroativa
	 */
	public function setDataRetroativa($data_retroativa):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->data_retroativa = $data_retroativa;
		return $this;
	}


	/**
	 * @param mixed $hora_retroativa
	 */
	public function setHoraRetroativa($hora_retroativa):AnamneseRetroativaRegistrationViewModelBuilder {

		$this->hora_retroativa = $hora_retroativa;
		return $this;
	}


	
	

}

